Bug 495399 - Review Request: NotCourier-Sans-sfd-fonts - NotCourier Sans is a re-interpretation of Nimbus Mono.
Review Request: NotCourier-Sans-sfd-fonts - NotCourier Sans is a re-interpret...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 15:00 EDT by Ankur Sinha (FranciscoD)
Modified: 2009-07-27 17:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 17:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2009-04-12 15:00:32 EDT
Spec URL: http://ankursinha.fedorapeople.org/NotCourier-sans-fonts/NotCourier-Sans-sfd-fonts.spec
SRPM URL: http://ankursinha.fedorapeople.org/NotCourier-sans-fonts/NotCourier-Sans-sfd-fonts-20080906-1.fc10.src.rpm
Description: NotCourier Sans is a re-interpretation of Nimbus Mono
Comment 1 Ankur Sinha (FranciscoD) 2009-04-23 09:51:13 EDT
hi,

sorry for this.. <pingy> :)
Comment 2 Nicolas Mailhot 2009-04-30 01:53:52 EDT
I ll take a look at it around mid may when I m back from my current trip if no one beats me to it
Comment 3 Nicolas Mailhot 2009-05-21 13:18:59 EDT
First review:

1. W: file-not-utf8 /usr/share/doc/NotCourier-Sans-sfd-fonts-20080906/FONTLOG.txt
⇒ please use iconv to fix this file's encoding (you have an example in sil andika, make sure you've the right source encoding though)

2. please use lowercase package naming only as requested by the fonts packaging guidelines

3. please add the oflb- foundry prefix to the package name

4. unless the fonts authors asked you to, I don't thing the -sfd postfix is really needed

5. your URL does not work

6. it seems upstreams versions this font properly, so you can use a real version instead of a timestamp (current is 1.1)

7. I'd drop the first § of your description

8. the font is derived from a GPL font so it must stay GPL. Upstream has already fixed this in its last release (do not forget to update your %doc)

9. Be very careful to use the exact name the font declares in your fontconfig file. For version 1.1, it will be "NotCourierSans"

10. since the fonts are missing an italic face, I wouldn't stack them at 60 in fontconfig, 61 or 62 would be better

Anyway that's all for now, thank you for continuing to package Fedora fonts
Comment 4 Ankur Sinha (FranciscoD) 2009-05-21 13:52:45 EDT
(In reply to comment #3)
> First review:
> 
> 1. W: file-not-utf8
> /usr/share/doc/NotCourier-Sans-sfd-fonts-20080906/FONTLOG.txt
> ⇒ please use iconv to fix this file's encoding (you have an example in sil
> andika, make sure you've the right source encoding though)
> 
> 2. please use lowercase package naming only as requested by the fonts packaging
> guidelines
> 
> 3. please add the oflb- foundry prefix to the package name
> 
> 4. unless the fonts authors asked you to, I don't thing the -sfd postfix is
> really needed
> 
> 5. your URL does not work
> 
> 6. it seems upstreams versions this font properly, so you can use a real
> version instead of a timestamp (current is 1.1)
> 
> 7. I'd drop the first § of your description
> 
> 8. the font is derived from a GPL font so it must stay GPL. Upstream has
> already fixed this in its last release (do not forget to update your %doc)
> 
> 9. Be very careful to use the exact name the font declares in your fontconfig
> file. For version 1.1, it will be "NotCourierSans"
> 
> 10. since the fonts are missing an italic face, I wouldn't stack them at 60 in
> fontconfig, 61 or 62 would be better
> 
> Anyway that's all for now, thank you for continuing to package Fedora fonts  

bah... they edited it all on may 17.. I'll redo the package..
Comment 6 Nicolas Mailhot 2009-06-21 15:29:14 EDT
1. the prefix for Open Font LiBrary is oflbn not ofl (to distinguish with the license

2. you should tell upstream the fullname of the regular font is "NotCourier" not "NotCourierSans", this is likely to confuse a few apps

2. if the font is monospace (as a Nimbus Mono is likely to be) the right fontconfig family is probably mono

3. "This is a new release of the NotCourier-sans, with its bold. The OSP frog, the "IJ","ij", numero and trademark ligatures are now encoded in the discretionary ligatures. " that seems release-specific. Probably not a good idea to include it in the summary

4. I'd have named the font at lease notcourier-sans, since notcouriersans is a bit long, but that's a personal preference

Only the first point is a blocker
Comment 7 Nicolas Mailhot 2009-06-21 15:29:48 EDT
(In reply to comment #6)
> 1. the prefix for Open Font LiBrary is oflbn not ofl (to distinguish with the
> license

oflb not ofl, sorry for the typo
Comment 8 Ankur Sinha (FranciscoD) 2009-06-22 06:19:43 EDT
(In reply to comment #6)
> 1. the prefix for Open Font LiBrary is oflbn not ofl (to distinguish with the
> license
> 

- changed 

> 2. you should tell upstream the fullname of the regular font is "NotCourier"
> not "NotCourierSans", this is likely to confuse a few apps
> 

- I tried contacting upstream, their contact link does not work (right now)

> 2. if the font is monospace (as a Nimbus Mono is likely to be) the right
> fontconfig family is probably mono
> 

- I had kept it as a sans-serif because the tags on the home page were : 

tags:	media, font, OFL, graphic, otf, image, png, archive, zip, **sans_serif**, courier, rugular, bold

Anyway, you're a better judge at that.

> 3. "This is a new release of the NotCourier-sans, with its bold. The OSP frog,
> the "IJ","ij", numero and trademark ligatures are now encoded in the
> discretionary ligatures. " that seems release-specific. Probably not a good
> idea to include it in the summary
> 

- removed 

> 4. I'd have named the font at lease notcourier-sans, since notcouriersans is a
> bit long, but that's a personal preference
> 

Wouldn't notcourier-sans sound as if its a sans and not mono? I think the name the upstream's given is "notcouriersans". Anyway, I'm unable to contact them to clarify.

> Only the first point is a blocker  

ah, great .. rebuilding..
Comment 9 Nicolas Mailhot 2009-06-22 06:58:58 EDT
(In reply to comment #8)
> (In reply to comment #6)

> - I had kept it as a sans-serif because the tags on the home page were : 
> 
> tags: media, font, OFL, graphic, otf, image, png, archive, zip, **sans_serif**,
> courier, rugular, bold
> 
> Anyway, you're a better judge at that.

A font can be monospace and serif or sans-serif. They're two different ways to classify the font (monospace is about having the same size for all letters, sans-serif/serif is about having squiggles at the end of bars). However monospace is usually seen as "more specific", so it takes precedence

https://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#What_fontconfig_generic_family_should_I_put_my_font_in.3F
Comment 11 Nicolas Mailhot 2009-06-22 15:28:59 EDT
Please use "monospace" not "mono" in the fontconfig file, I don't think fontconfig understands "mono"

Appart from that, the package is fine and clean; great work, thank you very much for packaging a new font for Fedora (please continue :))

⬓⬓⬓ APPROVED ⬓⬓⬓

The next steps as usual start at 

http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
Comment 12 Ankur Sinha (FranciscoD) 2009-06-23 03:58:47 EDT
(In reply to comment #11)
> Please use "monospace" not "mono" in the fontconfig file, I don't think
> fontconfig understands "mono"
> 

Made the change

> Appart from that, the package is fine and clean; great work, thank you very
> much for packaging a new font for Fedora (please continue :))
> 
> ⬓⬓⬓ APPROVED ⬓⬓⬓
> 
> The next steps as usual start at 
> 
> http://fedoraproject.org/wiki/Font_package_lifecycle#3.a  

continuing from here :)
Comment 13 Ankur Sinha (FranciscoD) 2009-06-23 05:48:40 EDT
New Package CVS Request
=======================
Package Name: oflb-notcouriersans-fonts
Short Description: NotCourier Sans is a re-interpretation of Nimbus Mono
Owners: ankursinha
Branches: F-10 F-11
InitialCC: fonts-sig
Comment 14 Jason Tibbitts 2009-06-23 13:48:29 EDT
CVS done.
Comment 15 Fedora Update System 2009-07-04 08:29:47 EDT
oflb-notcouriersans-fonts-1.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/oflb-notcouriersans-fonts-1.1-1.fc10
Comment 16 Fedora Update System 2009-07-04 08:31:15 EDT
oflb-notcouriersans-fonts-1.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/oflb-notcouriersans-fonts-1.1-1.fc11
Comment 17 Fedora Update System 2009-07-11 13:09:28 EDT
oflb-notcouriersans-fonts-1.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oflb-notcouriersans-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7458
Comment 18 Fedora Update System 2009-07-11 13:27:13 EDT
oflb-notcouriersans-fonts-1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oflb-notcouriersans-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7499
Comment 19 Fedora Update System 2009-07-27 17:26:45 EDT
oflb-notcouriersans-fonts-1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-27 17:37:03 EDT
oflb-notcouriersans-fonts-1.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.